{
  "name": "backend",
  "version": "1.0.0",
  "description": "server side of the application",
  "main": "server.js",
  "scripts": {
    "test": "./node_modules/.bin/jest",
    "start": "node ./dist/server.js",
    "clear": "rm -rf tsconfig.build.tsbuildinfo && rm -rf dist && mkdir dist",
    "build": "npm run clear && npm run tsc",
    "tsc": "npx tsc --build tsconfig.build.json",
    "dev": "nodemon --watch ./dist --watch .env --exec \"node ./dist/server.js\" --delay 1",
    "lint": "../node_modules/.bin/eslint 'src/**/*.{js,ts}'",
    "tsc-watch": "npm run tsc -- --watch --preserveWatchOutput",
    "watch": "npm i && npm run clear && npm run tsc && concurrently -k npm:tsc-watch npm:dev"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/AkerkeT/team3_accounting_project.git"
  },
  "author": "team3_accounting_project",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/AkerkeT/team3_accounting_project/issues"
  },
  "homepage": "https://gitlab.com/AkerkeT/team3_accounting_project#readme",
  "dependencies": {
    "@typegoose/typegoose": "9.12.1",
    "bcrypt": "5.1.0",
    "cors": "2.8.5",
    "dotenv": "16.0.3",
    "express": "4.18.2",
    "jsonwebtoken": "8.5.1",
    "mongoose": "6.6.0",
    "multer": "1.4.5-lts.1",
    "nanoid": "4.0.0"
  },
  "devDependencies": {
    "@babel/preset-typescript": "7.18.6",
    "@jest/globals": "29.4.1",
    "@shelf/jest-mongodb": "^4.1.6",
    "@types/bcrypt": "5.0.0",
    "@types/cors": "2.8.13",
    "@types/express": "4.17.14",
    "@types/jest": "29.4.0",
    "@types/jsonwebtoken": "8.5.9",
    "@types/node": "18.11.7",
    "concurrently": "7.5.0",
    "jest": "29.4.1",
    "nodemon": "2.0.20",
    "ts-jest": "29.0.5",
    "ts-node": "10.9.1",
    "typescript": "4.8.4"
  }
}
